# Class Packages

- Defined in work/deeplinks/deeplinks/imports/packages.ts:8

#####
Index

### Constructors

constructor

### Properties

deep

### Methods

export
import
read
select
write

##
Constructors

### constructor

- new Packages(deep): Packages

- #### Parameters

  - deep: any

  #### Returns Packages

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:10

##
Properties

### deep

deep: DeepClient<Link<Id>>

- Defined in work/deeplinks/deeplinks/imports/packages.ts:9

##
Methods

### export

- export(): Promise<{
  [name: string]: Package;
  }>

- #### Returns Promise<{
  [name: string]: Package;
  }>

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:20

### import

- import(pckgs): Promise<{
  [name: string]: Package;
  }>

- #### Parameters

  - pckgs: {
    [name: string]: Package;
    }

    - ##### [name: string]: Package

  #### Returns Promise<{
  [name: string]: Package;
  }>

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:70

### read

- read(address): Promise<{
  [name: string]: Package;
  }>

- #### Parameters

  - address: string

  #### Returns Promise<{
  [name: string]: Package;
  }>

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:50

### select

- select(): Promise<DeepClientResult<Link<Id>[]>>

- #### Returns Promise<DeepClientResult<Link<Id>[]>>

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:13

### write

- write(address, pckgs): Promise<void>

- #### Parameters

  - address: string
  - pckgs: {
    [name: string]: Package;
    }

    - ##### [name: string]: Package

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/packages.ts:36